## freeciv 2.5.5

=== debian/changelog ===
freeciv (2.5.5-1build1) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Sep 2016 12:01:24 +0000

freeciv (2.5.5-1) unstable; urgency=medium

  * Imported Upstream version 2.5.5.
  * Remove libpng-dev from Build-Depends. Not needed.

 -- Markus Koschany <apo@debian.org>  Sat, 30 Jul 2016 22:04:30 +0200

freeciv (2.5.4-2) unstable; urgency=medium

  * Build and ship the gtk3 client of FreeCiv in a separate package.
  * Remove obsolete build-dependencies that were only needed for the old xaw
    client. Thanks to Marko Lindqvist for the report. (Closes: #827666)

 -- Markus Koschany <apo@debian.org>  Sat, 09 Jul 2016 22:25:38 +0200

freeciv (2.5.4-1) unstable; urgency=medium

  * Imported Upstream version 2.5.4.
  * Declare compliance with Debian Policy 3.9.8.

 -- Markus Koschany <apo@debian.org>  Mon, 16 May 2016 00:38:59 +0200

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Export all hardening build flags
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie

# Avoid useless dependencies
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--cache-file=$(CURDIR)/config.cache \
		--sysconfdir=/etc \
		--prefix=/usr \
		--datadir=\$${prefix}/share/games \
		--bindir=\$${prefix}/games \
		--enable-debug=no \
		--enable-client=gtk2,gtk3,sdl,qt \
		--enable-fcmp=gtk3 \
		--with-ggz-server=no \
		--with-ggz-client=no \
		--enable-ipv6=yes \
		--enable-sys-lua \
		--disable-silent-rules \
		--enable-fcdb=sqlite3 \
		--without-freeciv-manual \
		--with-missinglist

override_dh_auto_build-indep:
	convert -monitor data/icons/32x32/freeciv-client.png freeciv.xpm
	convert -monitor data/icons/32x32/freeciv-server.png freeciv-server.xpm

override_dh_install:
	# Move stuff that gets lost thanks to ${datadir}
	mv debian/tmp/usr/share/games/icons debian/tmp/usr/share
	# Delete man pages which are unneeded.
	rm -f debian/tmp/usr/share/man/man6/freeciv-gtk2.6
	rm -f debian/tmp/usr/share/man/man6/freeciv-gtk3.6
	rm -f debian/tmp/usr/share/man/man6/freeciv-sdl.6
	rm -f debian/tmp/usr/share/man/man6/freeciv-qt.6
	rm -f debian/tmp/usr/share/man/man6/freeciv-xaw.6
	rm -f debian/tmp/usr/share/man/man6/freeciv-manual.6
	rm -f debian/tmp/usr/share/man/man6/freeciv-mp-cli.6
	rm -f debian/tmp/usr/share/man/man6/freeciv-mp-gtk2.6
	rm -f debian/tmp/usr/share/man/man6/freeciv-mp-qt.6
	# Debian doesn't want .la files.
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.la
	# Should these have been installed here at all?
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*.a
	# Remove docs in debian/tmp/usr/share/doc/freeciv/
	rm -f debian/tmp/usr/share/doc/freeciv/*
	# Continue install
	dh_install --fail-missing
	# Remove sounds from -data
	rm -rf debian/freeciv-data/usr/share/games/freeciv/stdsounds*
	# Remove ttf fonts from -data, now provided by dependencies.
	rm -rf debian/freeciv-data/usr/share/games/freeciv/themes/gui-sdl/human/*.ttf
	rm -rf debian/freeciv-data/usr/share/games/freeciv/themes/gui-sdl/human/COPYING.*

override_dh_installdocs:
	# Don't install Makefiles, INSTALL files and man pages with dh_installdocs.
	dh_installdocs --exclude="Makefile" --exclude="INSTALL" --exclude="man"

override_dh_link:
	# Remove doc dirs for arch-dependent packages and symlink
	# to freeciv-data's in dh_link
	-rm -rf debian/freeciv-server/usr/share/doc/freeciv-server
	-rm -rf debian/freeciv/usr/share/doc/freeciv
	-rm -rf debian/freeciv-client-gtk/usr/share/doc/freeciv-client-gtk
	-rm -rf debian/freeciv-client-gtk3/usr/share/doc/freeciv-client-gtk3
	-rm -rf debian/freeciv-client-qt/usr/share/doc/freeciv-client-qt
	-rm -rf debian/freeciv-client-sdl/usr/share/doc/freeciv-client-sdl
	-rm -rf debian/freeciv-client-extras/usr/share/doc/freeciv-client-extras
	# After deleting we can link correctly
	dh_link

override_dh_clean:
	dh_clean
	rm -f freeciv.xpm
	rm -f freeciv-server.xpm
	find . -name '*.o' -delete
	find . -name '.libs' -delete
	find . -name '.dists' -delete

get-orig-source:
	uscan --verbose --download-current-version --force-download

## freeciv 2.5.6

=== win32/installer/Makefile ===
#
# Makefile for Freeciv Windows installer creation
#
# Usage:
#
# 1. download and extract the MinGW build environment from
#    http://download.gna.org/freeciv/packages/windows/gnuwin32/
#    Current version is gnuwin32-2016-07-27.
# 2. double click on "gnuwin32/msys.bat"
# 3. install the development packages:
#    $ hg qpush -a
# 4. close current session and restart msys.bat. This is required
#    for PATH to be set correctly after development packages
#    installation.
# 5. change into the Freeciv directory where this Makefile resides
#    $ cd <path_to_freeciv_source>/win32/installer
# 6. run make
#    $ make
# 7. find the installer executables in the 'Output' directory
#


#
# Make rules
#


# by default build all installers
all: gtk3-installer gtk2-installer sdl-installer qt-installer

gtk3-installer:
	make GUI=gtk3 FCMP=gtk3 wrap-gtk3

gtk2-installer:
	make GUI=gtk2 FCMP=gtk2 wrap-gtk2

sdl-installer:
	make GUI=sdl FCMP=gtk2 wrap-sdl

qt-installer:
	make GUI=qt FCMP=qt wrap-qt

snapshot:
	cd ../.. ; ./autogen.sh --no-configure-run
	make VERSION_REVTYPE="svn" EXTRA_CONFIG="--enable-svnrev" all


# build Freeciv

build-freeciv-common:
	# create build directory
	mkdir -p build-$(GUI)
	# configure
	cd build-$(GUI); ../../../configure --enable-client=$(GUI) --with-followtag="win32" --enable-fcdb=sqlite3 --enable-fcmp=$(FCMP) $(EXTRA_CONFIG)
	# make
	make -C build-$(GUI)

build-freeciv-gtk3: build-freeciv-common

build-freeciv-gtk2: build-freeciv-common

build-freeciv-sdl: build-freeciv-common

build-freeciv-qt: build-freeciv-common

# install Freeciv

install-freeciv-common:
	# make install
	make -C build-$(GUI) DESTDIR=`pwd`/install-$(GUI) install
	# reorder directory layout
	mv install-$(GUI)/usr/local/bin/* install-$(GUI)/
	mv install-$(GUI)/usr/local/etc install-$(GUI)/
	mv install-$(GUI)/usr/local/share/freeciv install-$(GUI)/data
	mkdir -p install-$(GUI)/share
	mv install-$(GUI)/usr/local/share/locale install-$(GUI)/share/
	mv install-$(GUI)/usr/local/share/doc install-$(GUI)/doc
	mkdir -p install-$(GUI)/debuginfo
	cp build-$(GUI)/fc_config.h install-$(GUI)/debuginfo
	mkdir -p install-$(GUI)/doc/freeciv/installer
	cp licenses/COPYING.installer install-$(GUI)/doc/freeciv/installer/
	# delete unneeded files
	rm -r install-$(GUI)/usr
	# strip 'freeciv-manual' and 'freeciv-mp-<gui>' executables
	strip install-$(GUI)/freeciv-m*
	# add start menu files
	cp freeciv-server.cmd freeciv-mp-$(FCMP).cmd freeciv-$(GUI).cmd Freeciv.url install-$(GUI)/

install-freeciv-gtk3: install-freeciv-common

install-freeciv-gtk2: install-freeciv-common

install-freeciv-sdl: install-freeciv-common
	# add CJK fonts
	cp /opt/fireflysung-1.3.0/fireflysung.ttf install-sdl/data/themes/gui-sdl/human/
	cp /opt/fireflysung-1.3.0/COPYRIGHT install-sdl/data/themes/gui-sdl/human/COPYING.fireflysung
	cp /opt/sazanami-20040629/sazanami-gothic.ttf install-sdl/data/themes/gui-sdl/human/
	cp /opt/sazanami-20040629/README install-sdl/data/themes/gui-sdl/human/COPYING.sazanami
	cp /opt/un-fonts/UnDotum.ttf install-sdl/data/themes/gui-sdl/human/
	cp /opt/un-fonts/COPYING install-sdl/data/themes/gui-sdl/human/COPYING.UnDotum

install-freeciv-qt: install-freeciv-common

# install Freeciv environment

COMMON_DLLS := \
	SDL.dll \
	SDL_mixer.dll \
	exchndl.dll \
	freetype6.dll \
	intl.dll \
	libMagickCore-6.Q16-1.dll \
	libMagickWand-6.Q16-1.dll \
	libatk-1.0-0.dll \
	libbz2-2.dll \
	libcurl.dll \
	libcairo-2.dll \
	libcairo-gobject-2.dll \
	libeay32.dll \
	libffi-6.dll \
	libfontconfig-1.dll \
	libfreetype-6.dll \
	libgcc_s_dw2-1.dll \
	libgdk_pixbuf-2.0-0.dll \
	libgio-2.0-0.dll \
	libglib-2.0-0.dll \
	libgmodule-2.0-0.dll \
	libgobject-2.0-0.dll \
	libgthread-2.0-0.dll \
	libiconv-2.dll \
	libidn-11.dll \
	libintl-8.dll \
	liblzma-5.dll \
	libogg-0.dll \
	libpango-1.0-0.dll \
	libpangocairo-1.0-0.dll \
	libpangowin32-1.0-0.dll \
	libpixman-1-0.dll \
	libpng14-14.dll \
	libpng15-15.dll \
	libpthread-2.dll \
	libsqlite3-0.dll \
	libvorbis-0.dll \
	libvorbisfile-3.dll \
	libxml2-2.dll \
	pthreadGC2.dll \
	ssleay32.dll \
	zlib1.dll

install-env-common:
	# add DLLs
	cp -R $(addprefix /bin/, $(COMMON_DLLS)) install-$(GUI)

GTK3_DLLS := \
	libgdk-3-0.dll \
	libgtk-3-0.dll

install-env-gtk3: install-env-common
	cp -R $(addprefix /bin/, $(GTK3_DLLS)) install-$(GUI)
	# add additional GTK+3 files
	mkdir -p install-$(GUI)/etc
	cp -R /etc/gtk-3.0 install-$(GUI)/etc/
	mkdir -p install-$(GUI)/lib/gtk-3.0/
	cp -R /lib/gtk-3.0/3.0.0 install-$(GUI)/lib/gtk-3.0/
	cp -R /share/locale install-$(GUI)/share/
	find install-$(GUI)/share/locale -type f -not -name "freeciv*.mo" -and -not -name gtk30.mo -delete

DEFAULT_FCMP_DLLS := \
	libgdk-win32-2.0-0.dll \
	libgtk-win32-2.0-0.dll

install-env-default-fcmp: install-env-common
	# add DLLs
	cp -R $(addprefix /bin/, $(DEFAULT_FCMP_DLLS)) install-$(GUI)
	# add additional GTK+2 files
	mkdir -p install-$(GUI)/etc
	cp -R /etc/gtk-2.0 install-$(GUI)/etc/
	mkdir -p install-$(GUI)/lib/gtk-2.0/
	cp -R /lib/gtk-2.0/2.10.0 install-$(GUI)/lib/gtk-2.0/
	cp -R /share/locale install-$(GUI)/share/
	find install-$(GUI)/share/locale -type f -not -name "freeciv*.mo" -and -not -name gtk20.mo -delete

install-env-gtk2: install-env-default-fcmp

SDL_DLLS := \
	libpng12-0.dll \
	libSDL_gfx-15.dll \
	SDL_image.dll \
	SDL_ttf.dll

install-env-sdl: install-env-default-fcmp
	# add DLLs
	cp -R $(addprefix /bin/, $(SDL_DLLS)) install-$(GUI)

QT_DLLS := \
	libstdc++-6.dll \
	Qt5Core.dll \
	Qt5Gui.dll \
	Qt5Widgets.dll

install-env-qt: install-env-common
	# add DLLs
	cp -R $(addprefix /bin/, $(QT_DLLS)) install-$(GUI)
	# add additional Qt files
	cp -R /plugins install-$(GUI)/
	cp -R /share/locale install-$(GUI)/share/
	find install-$(GUI)/share/locale -type f -not -name "freeciv*.mo" -delete

# build installer

installer-common: clean-install-common install-freeciv-$(GUI) install-env-$(GUI)
	# extract Freeciv version
	$(eval FREECIV_VERSION := $(shell ../../fc_version))
	# create NSIS script
	./create-freeciv-$(GUI)-nsi.sh install-$(GUI) $(FREECIV_VERSION) > Freeciv-$(FREECIV_VERSION)-$(GUI).nsi
	# create installer executable
	mkdir -p Output
	makensis Freeciv-$(FREECIV_VERSION)-$(GUI).nsi

wrap-gtk3: build-freeciv-gtk3 installer-common

wrap-gtk2: build-freeciv-gtk2 installer-common

wrap-sdl: build-freeciv-sdl installer-common

wrap-qt: build-freeciv-qt installer-common


# cleanup

clean-build-common:
	rm -rf build-$(GUI)

clean-install-common:
	rm -rf install-$(GUI)

clean-installer-common:
	rm -f Output/Freeciv-*-$(GUI)-setup.exe
	rm -f Freeciv-*-$(GUI).nsi

clean:
	make GUI=gtk3 clean-build-common clean-install-common clean-installer-common
	make GUI=gtk2 clean-build-common clean-install-common clean-installer-common
	make GUI=sdl clean-build-common clean-install-common clean-installer-common
	make GUI=qt clean-build-common clean-install-common clean-installer-common

=== debian/changelog ===
freeciv (2.5.6-2ubuntu1) zesty; urgency=medium

  * Do not force PIE hardening to avoid FTBFS on amd64 and i386

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 12 Apr 2017 13:33:46 +0200

freeciv (2.5.6-2) unstable; urgency=medium

  * Intall the appdata files into the individual freeciv client packages.
    Thanks to Laurent Bigonville for the report and patch. (Closes: #848720)
  * Remove dh-autoreconf from Build-Depends because compat level 10 uses it by
    default.

 -- Markus Koschany <apo@debian.org>  Tue, 20 Dec 2016 01:47:35 +0100

freeciv (2.5.6-1) unstable; urgency=medium

  * New upstream version 2.5.6.

 -- Markus Koschany <apo@debian.org>  Sat, 19 Nov 2016 17:03:28 +0100

freeciv (2.5.5-2) unstable; urgency=medium

  * Export all hardening build flags and use -pie again. (Closes: #844198)
  * Switch to compat level 10.

 -- Markus Koschany <apo@debian.org>  Tue, 15 Nov 2016 17:31:09 +0100

=== debian/control ===
Source: freeciv
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Jordi Mallach <jordi@debian.org>,
 Clint Adams <clint@debian.org>,
 Karl Goetz <karl@kgoetz.id.au>,
 Markus Koschany <apo@debian.org>
Standards-Version: 3.9.8
Homepage: http://www.freeciv.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-games/freeciv.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/freeciv.git
Build-Depends:
 debhelper (>= 10),
 gettext,
 gnulib,
 libbz2-dev,
 libcurl4-gnutls-dev,
 libgtk-3-dev,
 libgtk2.0-dev,
 liblua5.2-dev,
 liblzma-dev,
 libreadline-dev,
 libsdl-gfx1.2-dev,
 libsdl-image1.2-dev,
 libsdl-mixer1.2-dev,
 libsdl-ttf2.0-dev,
 libsqlite3-dev,
 libtolua-dev,
 python-minimal,
 qtbase5-dev,
 qtbase5-dev-tools,
 zlib1g-dev
Build-Depends-Indep:
 imagemagick

Package: freeciv
Architecture: all
Multi-Arch: foreign
Depends:
 freeciv-client-gtk,
 freeciv-data (= ${source:Version}),
 ${misc:Depends}
Description: Civilization turn based strategy game
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This metapackage will install the recommended client to play Freeciv.

Package: freeciv-client-extras
Architecture: any
Depends:
 freeciv-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Breaks: freeciv-data (<< 2.5.6-2~)
Replaces: freeciv-data (<< 2.5.6-2~)
Description: Civilization turn based strategy game (miscellaneous extras)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This package includes Freeciv's modpack tool freeciv-mp-gtk3. It allows you to
 select and download custom rulesets and tilesets for the game.

Package: freeciv-client-gtk
Architecture: any
Depends:
 freeciv-data (= ${source:Version}),
 gtk2-engines-pixbuf,
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 freeciv-server (= ${binary:Version})
Suggests:
 freeciv-client-extras,
 freeciv-sound-standard
Breaks: freeciv-data (<< 2.5.6-2~)
Replaces: freeciv-data (<< 2.5.6-2~)
Description: Civilization turn based strategy game (GTK+ client)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the GTK+ 2 version of Freeciv. It is the most sophisticated and
 recommended client to play the game.

Package: freeciv-client-gtk3
Architecture: any
Depends:
 freeciv-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 freeciv-server (= ${binary:Version})
Suggests:
 freeciv-client-extras,
 freeciv-sound-standard
Breaks: freeciv-data (<< 2.5.6-2~)
Replaces: freeciv-data (<< 2.5.6-2~)
Description: Civilization turn based strategy game (GTK 3 client)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the GTK 3 version of Freeciv. It is recommended to install the
 »freeciv-client-gtk« package and to use the GTK+ client unless you really want
 to try this one. The GTK 3 client offers a different look&feel and is still
 under development.

Package: freeciv-client-qt
Architecture: any
Depends:
 freeciv-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 freeciv-server (= ${binary:Version})
Suggests:
 freeciv-client-extras,
 freeciv-sound-standard
Breaks: freeciv-data (<< 2.5.6-2~)
Replaces: freeciv-data (<< 2.5.6-2~)
Description: Civilization turn based strategy game (Qt client)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the Qt version of Freeciv.

Package: freeciv-client-sdl
Architecture: any
Depends:
 fonts-arphic-uming,
 fonts-dejavu-core,
 fonts-ipafont-gothic,
 fonts-unfonts-core,
 freeciv-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 freeciv-server (= ${binary:Version})
Suggests:
 freeciv-client-extras,
 freeciv-sound-standard
Breaks: freeciv-data (<< 2.5.6-2~)
Replaces: freeciv-data (<< 2.5.6-2~)
Description: Civilization turn based strategy game (SDL client)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This version of Freeciv is based on SDL, the Simple DirectMedia Layer library.
 It is recommended to install the »freeciv-client-gtk« package and to use the
 GTK+ client unless you really want to try this one. The SDL client offers a
 different look&feel but lacks some functionality of the GTK+ client.

Package: freeciv-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: Civilization turn based strategy game (data)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 These are the common data files for Freeciv.

Package: freeciv-server
Architecture: any
Depends:
 freeciv-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 freeciv
Breaks: freeciv-data (<< 2.5.6-2~)
Replaces: freeciv-data (<< 2.5.6-2~)
Description: Civilization turn based strategy game (server files)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the Freeciv game server.

Package: freeciv-sound-standard
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: Civilization turn based strategy game (standard sound pack)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the standard sound pack for Freeciv. It provides Freeciv clients
 with a set of sounds for different events and actions in the game.

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## freeciv 2.5.9

=== win32/installer/Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 # Usage:
 #
 # 1. download and extract the MinGW build environment from
-#    http://download.gna.org/freeciv/packages/windows/gnuwin32/
-#    Current version is gnuwin32-2016-07-27.
+#    https://sourceforge.net/projects/freeciv/files/dependencies/gnuwin32/
+#    Current version is gnuwin32-2017-07-30.
 # 2. double click on "gnuwin32/msys.bat"
 # 3. install the development packages:
 #    $ hg qpush -a
@@ -42,7 +42,7 @@
 
 snapshot:
 	cd ../.. ; ./autogen.sh --no-configure-run
-	make VERSION_REVTYPE="svn" EXTRA_CONFIG="--enable-svnrev" all
+	make VERSION_REVTYPE="git" EXTRA_CONFIG="--enable-gitrev" all
 
 
 # build Freeciv
@@ -143,6 +143,7 @@
 	libvorbis-0.dll \
 	libvorbisfile-3.dll \
 	libxml2-2.dll \
+	mgwhelp.dll \
 	pthreadGC2.dll \
 	ssleay32.dll \
 	zlib1.dll

=== debian/changelog ===
freeciv (2.5.9-1) unstable; urgency=medium

  * New upstream version 2.5.9.

 -- Markus Koschany <apo@debian.org>  Sat, 19 Aug 2017 18:00:13 +0200

freeciv (2.5.8-1) unstable; urgency=medium

  * New upstream version 2.5.8.
  * Declare compliance with Debian Policy 4.0.1.
  * Refresh themes_sdl_use_system_fonts.patch.
  * Install appdata files into metainfo directory.

 -- Markus Koschany <apo@debian.org>  Thu, 17 Aug 2017 17:51:09 +0200

freeciv (2.5.7-2) unstable; urgency=medium

  * Upload to unstable.
  * Declare compliance with Debian Policy 4.0.0.
  * Use https for Format field.

 -- Markus Koschany <apo@debian.org>  Fri, 23 Jun 2017 15:49:39 +0200

freeciv (2.5.7-1) experimental; urgency=medium

  * New upstream version 2.5.7.
  * Drop deprecated menu files.
  * Don't convert icons to xpm images anymore and drop imagemagick from B-D.
  * Update watch file. gna.org is closing soon.

 -- Markus Koschany <apo@debian.org>  Sat, 13 May 2017 18:57:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: freeciv
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Jordi Mallach <jordi@debian.org>,
  Clint Adams <clint@debian.org>,
  Karl Goetz <karl@kgoetz.id.au>,
  Markus Koschany <apo@debian.org>
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: http://www.freeciv.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/freeciv.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/freeciv.git
@@ -33,8 +32,6 @@
  qtbase5-dev,
  qtbase5-dev-tools,
  zlib1g-dev
-Build-Depends-Indep:
- imagemagick
 
 Package: freeciv
 Architecture: all

## freeciv 2.5.10

=== win32/installer/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 # 1. download and extract the MinGW build environment from
 #    https://sourceforge.net/projects/freeciv/files/dependencies/gnuwin32/
-#    Current version is gnuwin32-2017-07-30.
+#    Current version is gnuwin32-2017-09-02.
 # 2. double click on "gnuwin32/msys.bat"
 # 3. install the development packages:
 #    $ hg qpush -a

=== debian/changelog ===
freeciv (2.5.10-1) unstable; urgency=medium

  * New upstream version 2.5.10.
  * Use compat level 11.
  * Declare compliance with Debian Policy 4.1.3.

 -- Markus Koschany <apo@debian.org>  Mon, 22 Jan 2018 15:14:03 +0100

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
  Clint Adams <clint@debian.org>,
  Karl Goetz <karl@kgoetz.id.au>,
  Markus Koschany <apo@debian.org>
-Standards-Version: 4.0.1
+Standards-Version: 4.1.3
 Homepage: http://www.freeciv.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/freeciv.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/freeciv.git
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  gettext,
  gnulib,
  libbz2-dev,

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 # Export all hardening build flags
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 # Avoid useless dependencies
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
@@ -32,10 +32,6 @@
 		--enable-fcdb=sqlite3 \
 		--without-freeciv-manual \
 		--with-missinglist
-
-override_dh_auto_build-indep:
-	convert -monitor data/icons/32x32/freeciv-client.png freeciv.xpm
-	convert -monitor data/icons/32x32/freeciv-server.png freeciv-server.xpm
 
 override_dh_install:
 	# Move stuff that gets lost thanks to ${datadir}
@@ -83,8 +79,6 @@
 
 override_dh_clean:
 	dh_clean
-	rm -f freeciv.xpm
-	rm -f freeciv-server.xpm
 	find . -name '*.o' -delete
 	find . -name '.libs' -delete
 	find . -name '.dists' -delete
